Subject: [manet] End to end security [Was? Reactive routing protocols, what are the differences?]

From: "Adrian Farrel" <[email-masked]>
Date: Sat, 3 Nov 2012 15:33:19 -0000

Op 2 nov. 2012, om 13:01 heeft Henning Rogge het volgende geschreven:

> (Does BGP have some ideas how to do end-to-end security? Its the only
> Distance Vector Protocol I know that is widely deployed.)

Please be aware of the work in SIDR.

Cheers,
Adrian

---

From: Henning Rogge <[email-masked]>
Date: Sat, 3 Nov 2012 19:47:29 +0100

> Please be aware of the work in SIDR.

I do not know much about BGP (just some basics)... do you think SIDR
could be something that can be transfered to a reactive MANET protocol
as a concept? Or would it be too much overhead?

Henning Rogge

-- 
Steven Hawkings about cosmic inflation: "An increase of billions of
billions of percent in a tiny fraction of a second. Of course, that
was before the present government."

---

From: "Adrian Farrel" <[email-masked]>
Date: Sat, 3 Nov 2012 20:40:55 -0000

I think that there has been some very useful discussion in SIDR of the security
of e2e routing information in a hop-by-hop routing protocol.

This has resulted in authentication for the root of the advertisement, and
security for the hop-by-hop exchanges.

We could learn from this separation, but we obviously have a slightly different
hop-by-hop paradigm because nodes can more easily insert themselves into our
networks.
 
I think the lesson here is to place the strongest security on admission to the
network. 

I am unsure about the concept of securing any other data because of the security
relationships that are implied. We could probably also learn from the work being
done in KARP and maybe we should engage them with the characteristics of our
problem space.

Adrian

> -----Original Message-----
> From: Henning Rogge [mailto:[email-masked]]
> Sent: 03 November 2012 18:47
> To: [email-masked]
> Cc: Teco Boot; Dearlove, Christopher (UK); [email-masked]; Thomas Heide
> Clausen
> Subject: Re: End to end security [Was? Reactive routing protocols, what are
the
> differences?]

---

From: Henning Rogge <[email-masked]>
Date: Sat, 3 Nov 2012 21:51:09 +0100

> security for the hop-by-hop exchanges.

Maybe we could do this by using a packet signature for hop-by-hop and
an address signature that protects the address and the attached
sequence number/validity-time (and maybe an extension of the sequence
number to prevent replay attacks after the 2 byte overflow) ?

(the second would prevent an attacker from making up node IDs that are
not currently in the network)

> hop-by-hop paradigm because nodes can more easily insert themselves into our

Yes.

> I think the lesson here is to place the strongest security on admission to the

So we should use at least linklayer security and/or signatures on
packet level to prove the fact that the neighbor is allowed to produce
routing messages.

> done in KARP and maybe we should engage them with the characteristics of our

Defining "sufficient" security without an attacker model is always difficult.

Henning Rogge

---

From: Alexandru Petrescu <[email-masked]>
Date: Sat, 03 Nov 2012 22:07:34 +0100

Le 03/11/2012 21:51, Henning Rogge a écrit :
>> I think that there has been some very useful discussion in SIDR of
>> the security of e2e routing information in a hop-by-hop routing
>> protocol.
>>
>> This has resulted in authentication for the root of the
>> advertisement, and security for the hop-by-hop exchanges.
>
> Maybe we could do this by using a packet signature for hop-by-hop
> and an address signature that protects the address

For address signature there is this CGA and hash-based addresses work.

Alex

> and the attached sequence number/validity-time (and maybe an
> extension of the sequence number to prevent replay attacks after the
> 2 byte overflow) ?
>
> (the second would prevent an attacker from making up node IDs that
> are not currently in the network)
>
>> We could learn from this separation, but we obviously have a
>> slightly different hop-by-hop paradigm because nodes can more
>> easily insert themselves into our networks.
>
> Yes.
>
>> I think the lesson here is to place the strongest security on
>> admission to the network.
>
> packet level to prove the fact that the neighbor is allowed to
> produce routing messages.
>
>> I am unsure about the concept of securing any other data because of
>> the security relationships that are implied. We could probably also
>> learn from the work being done in KARP and maybe we should engage
>> them with the characteristics of our problem space.
>

---

From: Henning Rogge <[email-masked]>
Date: Sat, 3 Nov 2012 22:09:36 +0100

> For address signature there is this CGA and hash-based addresses work.

Address signatures as in RFC 6622 (packetbb-sec).

I was talking about securing a part of a RFC5444 message.

Henning Rogge